Subject: Re: What's cooking in git.git (Oct 2025, #08; Thu, 23)

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Oct 2025 09:06:04 -0700

Jeff King <[email-masked]> writes:

> On Thu, Oct 23, 2025 at 04:36:01PM -0700, Junio C Hamano wrote:
>
>> * jc/diff-from-contents-fix (2025-10-22) 1 commit
>>   (merged to 'next' on 2025-10-23 at fae07d2113)
>>  + diff: make sure the other caller of diff_flush_patch_quietly() is silent
>>  (this branch is used by ly/diff-name-only-with-diff-from-content; uses jk/diff-from-contents-fix.)
>> 
>>  The code to squelch output from "git diff -w --name-status"
>>  etc. for paths that "git diff -w -p" would have stayed silent
>>  leaked output from dry-run patch generation, which has been
>>  corrected.
>> 
>>  Will merge to 'master'.
>>  source: <[email-masked]>
>
> OK, looks like you picked up the fix from the last round of discussion.
> Good. Is this destined for 'maint'? My patch fixed the regression from
> v2.51.1 with "--quiet", but I think there is still one for "-w --raw",
> etc.

The plan is to merge "j?/diff-from-contents-fix" down to 'maint';
any other changes that tweak dry-run are to be done 'next' down to
'master' but not to 'maint' as a longer term "true fix".